import 'package:riverpod_annotation/riverpod_annotation.dart';
import 'package:shared/utils/log_utils.dart';
import '../../form/form_page.dart';
import '../../form/form_types.dart';
import 'apply_state.dart';

part 'apply_view_model.g.dart';

@riverpod
class ApplyViewModel extends _$ApplyViewModel {
  @override
  ApplyState build() {
    return ApplyState();
  }

  //设置具体的表单类型
  void setFormType(String formType) {
    final detail = FormTypes.detailPageMap[formType];
    Log.d("applyViewModelProvider - detail:$detail");
    state = state.copyWith(formType: formType, applyDetail: detail);
  }

  //进入下一步页面
  void gotoNextPage() {
    Log.d("applyViewModelProvider - detailPageIndex:${state.detailPageIndex}");
    bool success = FormTypes.startDetailPageByType(state.applyDetail?['detail_pages'], state.detailPageIndex);
    Log.d("applyViewModelProvider - gotoNextPage - success:$success");
    if (!success) {
      FormPage.startInstance();
    } else {
      state.detailPageIndex++;
    }
  }

  //返回的时候处理当前的索引
  void handlePopAction() {
    state.detailPageIndex--;
  }
}
